//
//  switchViewController.h
//  scummvm
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "iPhoneViewController.h"
#import "Gob1MenuViewController.h"
#import "settingsViewController.h"
#import "menuigViewController.h"
#import "saveViewController.h"
#import <UIKit/UIKit.h>

@interface switchViewController : UIViewController 
{
	iPhoneViewController* _iVC;
	Gob1MenuViewController* _gob1MenuVC;
	settingsViewController* _settingsVC;
	menuigViewController* _menuigVC;
	saveViewController* _saveVC;
	
	//IMG VIEW
	UIImageView* imgV;
	IBOutlet UIButton* _skipSplash;
	bool _skipS;
}
@property(nonatomic, retain) IBOutlet iPhoneViewController* _iVC;
@property(nonatomic, retain) IBOutlet Gob1MenuViewController* _gob1MenuVC;
@property(nonatomic, retain) IBOutlet settingsViewController* _settingsVC;
@property(nonatomic, retain) IBOutlet menuigViewController* _menuigVC;
@property(nonatomic, retain) IBOutlet saveViewController* _saveVC;

//ACTIONS
- (void) switchViews;
- (void) switchPause;
- (void) switchSettingsInGame;
- (void) switchSave;

//METHODS
- (void) runSwitch;
- (void) skipSplashClicked:(id)sender;

@end
